Subject: bug#14326: 24.3; Conflict of w32-send-sys-command and set-default-font

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 May 2013 20:08:23 +0300

> Date: Thu, 02 May 2013 11:23:08 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > Invoking the commands in the reverse order doesn't have this problem,
>  > because the effect of set-default-font is immediate.
> 
> Do you mean that `set-default-font' does not cause a WM_SIZE message?

It does (although not with a maximize request), but that's not what I
meant.  I meant that set-default-font immediately causes the internals
to reflect the change, whereas for w32-send-sys-command this only
happens _after_ Emacs receives the maximize request and acts upon it
by resizing the frame.